## org.mortbay.jetty.plus
Class TMService

    java.lang.Object
      |
      +--org.mortbay.jetty.plus.AbstractService
            |
            +--org.mortbay.jetty.plus.TMService

All Implemented Interfaces:
  LifeCycle, Service

Direct Known Subclasses:
  JotmService

public abstract class TMService
extends AbstractService

A `TMService` represents a JTA Service and is used to acces JTA main interfaces (`UserTransaction` and `TransactionManager`).

Author:
  mhalas

Field Summary
`static java.lang.String` `DEFAULT_USER_TX_JNDI` Default value for UserTransaction JNDI binding.

Constructor Summary
`TMService()`

Method Summary
`abstract TransactionManager` `getTransactionManager()` returns a `TransactionManager` object.
`java.lang.String` `getTransactionManagerJNDI()`
`abstract UserTransaction` `getUserTransaction()` Returns an `UserTransaction` object.

Methods inherited from class org.mortbay.jetty.plus.AbstractService
`getJNDI, getName, isStarted, setJNDI, setName, start, stop`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_USER_TX_JNDI

    public static final java.lang.String DEFAULT_USER_TX_JNDI

  Default value for UserTransaction JNDI binding. User can change this by calling setJNDI()

  See Also:
    Constant Field Values

Constructor Detail

### TMService

    public TMService()

Method Detail

### getTransactionManager

    public abstract TransactionManager getTransactionManager()

  returns a `TransactionManager` object.

  Returns:
    TransactionManager

### getUserTransaction

    public abstract UserTransaction getUserTransaction()

  Returns an `UserTransaction` object.

  Returns:
    UserTransaction

### getTransactionManagerJNDI

    public java.lang.String getTransactionManagerJNDI()

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.